// src/index.tsx
import { useEffect, useRef } from "react";
import { loop } from "sketch-loop";
import { jsx } from "react/jsx-runtime";
function SketchLoop({ onTick = ({}) => {
} }) {
  const ref = useRef(null);
  useEffect(() => {
    if (ref == null || ref.current == null) {
      return;
    }
    const app = loop({
      canvas: ref.current
    });
    app.on({
      type: "tick",
      action: (dt) => {
        onTick({
          dt,
          app
        });
      }
    });
    app.start();
    return () => {
      app.dispose();
    };
  }, [ref, onTick]);
  return /* @__PURE__ */ jsx("canvas", {
    ref
  });
}
export {
  SketchLoop
};
